aboutsummaryrefslogtreecommitdiffstats
path: root/vendor/commerceguys/intl/scripts/fetch_data.sh
diff options
context:
space:
mode:
authorzotlabs <mike@macgirvin.com>2017-11-04 18:18:56 -0700
committerzotlabs <mike@macgirvin.com>2017-11-04 18:18:56 -0700
commit65bc146afa82f3f0f2e3921660189892af42c15b (patch)
treeafbe430a72f01a2ba02b05f4587cf42196c6a136 /vendor/commerceguys/intl/scripts/fetch_data.sh
parent9630d2ef2c042c5531bf3a553317ae3bd115f3dc (diff)
parent6995d54a3cc162d87f881f6e206fa356230fd9e8 (diff)
downloadvolse-hubzilla-65bc146afa82f3f0f2e3921660189892af42c15b.tar.gz
volse-hubzilla-65bc146afa82f3f0f2e3921660189892af42c15b.tar.bz2
volse-hubzilla-65bc146afa82f3f0f2e3921660189892af42c15b.zip
Merge branch 'dev' of https://github.com/redmatrix/hubzilla into xdev_merge
Diffstat (limited to 'vendor/commerceguys/intl/scripts/fetch_data.sh')
-rw-r--r--vendor/commerceguys/intl/scripts/fetch_data.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/vendor/commerceguys/intl/scripts/fetch_data.sh b/vendor/commerceguys/intl/scripts/fetch_data.sh
new file mode 100644
index 000000000..df727e758
--- /dev/null
+++ b/vendor/commerceguys/intl/scripts/fetch_data.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+URL="http://www.currency-iso.org/dam/downloads/lists/list_one.xml"
+
+rm -fR assets
+mkdir assets
+cd assets
+
+git clone https://github.com/unicode-cldr/cldr-core.git
+git clone https://github.com/unicode-cldr/cldr-numbers-full.git
+git clone https://github.com/unicode-cldr/cldr-localenames-full.git
+
+if command -v wget >/dev/null 2>&1;
+then
+ wget $URL -O c2.xml
+else
+ if command -v curl >/dev/null 2>&1;
+ then
+ curl $URL > c2.xml
+ else
+ echo "I require wget or curl but it's not installed. Aborting."
+ exit 1
+ fi
+fi